Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.operator
Class ManualDiscretization

    java.lang.Object
      edu.udo.cs.miningmart.operator.ExecutableOperator
          edu.udo.cs.miningmart.operator.FeatureConstruction
              edu.udo.cs.miningmart.operator.Discretization
                  edu.udo.cs.miningmart.operator.ManualDiscretization

Direct Known Subclasses:
  NumericalIntervalManualDiscretization, TimeIntervalManualDiscretization

public abstract class ManualDiscretization
extends Discretization

The class ManualDiscretization is abstract class for the operators of type ManualDiscretization

Version:
  $Id: ManualDiscretization.java,v 1.5 2006/04/11 14:10:10 euler Exp $
Author:
  Timm Euler, Martin Scholz

Field Summary
`protected static java.lang.String` | `INTERVAL_EXCLUSION`
`protected static java.lang.String` | `INTERVAL_INCLUSION`

Constructor Summary
`ManualDiscretization()`

Method Summary
`abstract java.lang.String` | `generateSQL(Column theTargetAttributeColumn)` Generates a sql-function to describe a new column.
`int` | `getCurrentLoopNumber()` The operators Time/NumericalIntervalManualDiscretisation are not loopable any longer.
`Value` | `getDefaultValue()`
`protected java.lang.String` | `getDiscTableName()`
`Value[]` | `getEndIncExc()` The parameter EndIncExc is coordinated.
`protected java.lang.String` | `getGreater(int intervalNumber, boolean start)`
`Value[]` | `getIntervalEnd()` The parameter IntervalEnd is coordinated.
`Value[]` | `getIntervalStart()` The parameter IntervalStart is coordinated.
`Value[]` | `getMapTo()` The parameter MapTo is coordinated.
`protected java.lang.String` | `getSmaller(int intervalNumber, boolean start)`
`Value[]` | `getStartIncExc()` The parameter StartIncExc is coordinated.
`void` | `load(Step st)` Simply calls its superclass load method.

Methods inherited from class edu.udo.cs.miningmart.operator.FeatureConstruction
`compileStatement, createStatement, estimateStatistics, execute, generateColumnForOp, getTheInputConcept, getTheOutputAttribute, getTheOutputAttribute, getTheTargetAttribute, getTheTargetAttribute, writeResults`

Methods inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`autoPrint, checkConditions, doPrint, doPrint, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getArtificalColumnName, getBusinessDbms, getHighestLoopNr, getM4Db, getM4Dbms, getM4ObjectFromCache, getName, getNextM4SequenceValue, getNumberOfLoops, getOperator, getOpParamsIterator, getParameter, getParameter, getSingleParameter, getSingleParameter, getStep, handleAssertions, isDeselectedParameter, isLoopable, isManual, isStepable, print, putM4ObjectToCache, showCreateStatement, storedProceduresAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INTERVAL_EXCLUSION

    protected static java.lang.String INTERVAL_EXCLUSION

### INTERVAL_INCLUSION

    protected static java.lang.String INTERVAL_INCLUSION

Constructor Detail

### ManualDiscretization

    public ManualDiscretization()

Method Detail

### load

    public void load(Step st)
              throws M4CompilerError

  Simply calls its superclass load method.

  Overrides:
    `load` in class `FeatureConstruction`
  Parameters:
    `st` - the step this operator is applied in
  Throws:
    `M4CompilerError`

### getCurrentLoopNumber

    public int getCurrentLoopNumber()

  The operators Time/NumericalIntervalManualDiscretisation are not loopable any longer. Therefore the method `getCurrentLoopNumber()` is overwritten.

  Overrides:
    `getCurrentLoopNumber` in class `FeatureConstruction`
  Returns:
    0

### getDefaultValue

    public Value getDefaultValue()
                          throws M4CompilerError

  Throws:
    `M4CompilerError`

### getIntervalStart

    public Value[] getIntervalStart()
                             throws M4CompilerError

  The parameter IntervalStart is coordinated.

  Throws:
    `M4CompilerError`

### getIntervalEnd

    public Value[] getIntervalEnd()
                           throws M4CompilerError

  The parameter IntervalEnd is coordinated.

  Throws:
    `M4CompilerError`

### getMapTo

    public Value[] getMapTo()
                     throws M4CompilerError

  The parameter MapTo is coordinated.

  Throws:
    `M4CompilerError`

### getStartIncExc

    public Value[] getStartIncExc()
                           throws M4CompilerError

  The parameter StartIncExc is coordinated.

  Throws:
    `M4CompilerError`

### getEndIncExc

    public Value[] getEndIncExc()
                         throws M4CompilerError

  The parameter EndIncExc is coordinated.

  Throws:
    `M4CompilerError`

### generateSQL

    public abstract java.lang.String generateSQL(Column theTargetAttributeColumn)
                                          throws M4CompilerError

  Generates a sql-function to describe a new column. This method generates a sql-function to describe a new column. It is implemented in its subclasses

  Specified by:
    `generateSQL` in class `Discretization`
  Returns:
    the SQL-function call
  Throws:
    `M4CompilerError`

### getDiscTableName

    protected java.lang.String getDiscTableName()

### getSmaller

    protected java.lang.String getSmaller(int intervalNumber,
                                          boolean start)
                                   throws M4CompilerError

  Throws:
    `M4CompilerError`

### getGreater

    protected java.lang.String getGreater(int intervalNumber,
                                          boolean start)
                                   throws M4CompilerError

  Throws:
    `M4CompilerError`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005